Bug 6282 - Problem compiling KDE apps on RedHat 6.1
Summary: Problem compiling KDE apps on RedHat 6.1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdelibs
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-23 03:27 UTC by jpion
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-26 15:04:21 UTC


Attachments (Terms of Use)

Description jpion 1999-10-23 03:27:57 UTC
I've tried compiling a couple of different KDE apps which
worked fine with RH6.0.  I keep getting the same error
message when running ./configure.



checking for kde libraries installed... configure: error:
your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you
have used the
same compiler to compile Qt and kdelibs as you did use now


I am using the binary RPMs from the 6.1 iso image.  I do
have all kde packages installed.  (libs and devel).  I also
have the proper development tools installed.  Any help would
be greatly appreciated.  Thanks.

Comment 1 jpion 1999-10-26 04:17:59 UTC
I've been able to workaround by adding the following to my ./configure
command-line:

--with-qt-includes=/usr/lib/qt-1.44/include
--with-qt-libraries=/usr/lib/qt-1.44/lib

It was also necessary to create a symbolic link from
/usr/lib/qt-1.44/bin/moc to /usr/bin/moc in order to make.

Comment 2 Preston Brown 1999-10-26 15:04:59 UTC
Both Qt 1.44 and Qt 2.0.2 are included with Red Hat Linux 6.1.  By
default, 2.0.2 is set to be used.  This behaviour is configurable; it
can be changed by editing /etc/profile.d/qt.sh and changing it to
point to qt 1.44 instead.

No further modifications should be necessary.  With this set up, you
can compile either Qt 1.44 or Qt 2.x based programs, simply by
changing the QTDIR environment variable.


Note You need to log in before you can comment on or make changes to this bug.